PEEKFD(1)

NOME
peekfd - dá uma olhada nos descritores de arquivo dos processos em execução

SINOPSE
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] pid [fd] [fd] ...

DESCRIÇÃO
peekfd anexa a um processo em execução e intercepta todas as leituras e escritas nos descritores de arquivo. Você pode especificar os números do descritor de arquivo desejados ou despejar todos eles.

OPÇÕES

-8  Não faz pós-processamento nos bytes que estão sendo lidos ou escritos.

-n  Não exibe cabeçalhos indicando a origem dos bytes despejados.

-c  Também despeja a atividade do descritor de arquivo solicitada em quaisquer novos processos filhos criados.

-d  Remove leituras/escritas duplicadas da saída. Se você está olhando para um tty com eco, você pode querer isso.

-v  Exibe uma string de versão.

-h  Mostra a mensagem de ajuda.

ARQUIVOS
/proc/*/fd
    Não é usado, mas é útil para o usuário olhar para obter bons números do descritor de arquivo.

AMBIENTE
Nenhum.

DIAGNÓSTICOS
Os seguintes diagnósticos podem ser emitidos na stderr (saída de erro):

Error attaching to pid <PID>
    Ocorreu um erro desconhecido ao tentar anexar a um processo; pode ser necessário ser root.

BUGS
Provavelmente muitos. Não se surpreenda se o processo que você está monitorando morrer.

AUTOR
Trent Waddington (trent.waddington@gmail.com)

VEJA TAMBÉM
ttysnoop(8)